﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SqlServer2005.aspx.cs" Inherits="SqlServer2005" %>
<%@ Register Namespace="com.WizardWu.Controls" TagPrefix="Wizard" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Orders 数据表查询</title>
    
    <style type="text/css">
    <!--
    html {
        overflow-x: visible;
        overflow-y: auto;
    }		
    -->
    </style>    
    
    <link href="~/App_Themes/Theme1/WizardWu.css" rel="stylesheet" type="text/css" />
    
    <script type="text/javascript">
        // 清空使用者輸入的查詢條件
        function CleanAllInput() {
            document.all.tbOrderID.value = "";
            document.all.tbCustomerID.value = "";
            // 若有下拉選單的寫法
            // document.all.DropDownList1.selectedIndex = "0";
        }
    </script>
</head>

<body>
    <form id="form1" runat="server">
    <div>
    <table style="font-size:small">
    <tbody>
        <tr>
            <th colspan="4">Orders 数据表查询</th>
        </tr>     
        <tr>
            <td colspan="4">输入查询条件：</td>
        </tr>
        <tr>
          <td>OrderID</td>
          <td><asp:TextBox ID="tbOrderID" runat="server"></asp:TextBox></td>
          <td>CustomerID</td>
          <td><asp:TextBox ID="tbCustomerID" runat="server"></asp:TextBox></td>
        </tr>        
        <tr>
          <td colspan="4">
              <div align="center">
                <span>
                      <asp:Button ID="btnQuery" runat="server" Text="查询" OnClick="btnQuery_Click" ToolTip="送出查询" />
                      <input id="btnClean" type="button" value="清除" onclick="CleanAllInput()" title="清空您所输入的查询条件" />
                </span>
              </div>
          </td>
        </tr>    
        <tr>
            <td colspan="4" style="font-size:small">

                <Wizard:WizardGridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True" DataSourceID="ObjectDataSource1" 
                      CellPadding="2" EmptyDataText="查无数据" AutoGenerateColumns="False" OnDataBound="GridView1_DataBound">
                      <PagerSettings Position="Top" /><PagerStyle HorizontalAlign="right" />
                     <Columns>
                        <Wizard:WizardBoundField DataField="OrderID" HeaderText="OrderID" InsertVisible="False" ReadOnly="True"
                            SortExpression="OrderID" />
                        <Wizard:WizardBoundField DataField="CustomerID" HeaderText="CustomerID" SortExpression="CustomerID" />
                        <Wizard:WizardBoundField DataField="OrderDate" HeaderText="OrderDate" SortExpression="OrderDate" />
                        <Wizard:WizardBoundField DataField="ShipName" HeaderText="ShipName" SortExpression="ShipName" />
                        <Wizard:WizardBoundField DataField="ShipCity" HeaderText="ShipCity" SortExpression="ShipCity" />
                        
                        <Wizard:WizardTemplateField>
                            <ItemStyle HorizontalAlign="Center" Width="40" />
                            <ItemTemplate>
                                <asp:Button ID="btnTest" runat="server" Text="Test" ToolTip="Test" />
                            </ItemTemplate>
                        </Wizard:WizardTemplateField>
                        
                    </Columns>
                </Wizard:WizardGridView>
                
           </td>
       </tr>
       <tr>
           <td colspan="4">
       
                <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" EnablePaging="True" 
                        OnSelected="ObjectDataSource1_Selected" 
                        SelectMethod="selectDataSetBindGridView_BLL" TypeName="com.WizardWu.SqlServer2005_BLL" 
                        SelectCountMethod="getRecordCountBLL" 
                        MaximumRowsParameterName="maxinumRows" StartRowIndexParameterName="startRowIndex" SortParameterName="sortExpression">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="tbOrderID" Name="tbOrderID" PropertyName="Text" Type="String" />
                        <asp:ControlParameter ControlID="tbCustomerID" Name="tbCustomerID" PropertyName="Text" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                
          </td>
      </tr>
    </tbody>
        
    </table>
        
    </div>
    </form>
</body>
</html>
